@import "../../variables/variables";
@import "../../variables/mixins";

/**
 * 1. text color & background color
 * 2. addon (facebook chat | callnow | scrollup)
 * 3. customize (modal | pagination | breadcrumb | owl theme | slick theme)
 * 4. header
 * 5. footer
 * 6. navigation (nav pc | nav mobile | nav left | nav fix)
 * 7. general (share-container)
 * 8. option
**/

/** BEM CSS
  .container {
    .container__item {
      .container__item-overlay {
        .inner {}
        .content {}
      }
    }
  }
  .js-element
**/

/*#region text color & background color*/
.bg-white {
  background-color: $white;
}
.bg-black {
  background-color: $bg-black;
}
.bg-lightblack {
  background-color: $bg-lightblack;
}
.bg-gray {
  background-color: $bg-gray;
}
.bg-deepgray {
  background-color: $bg-deepgray;
}
.bg-primary {
  background-color: $primary-color;
}
.bg-second {
  background-color: $second-color;
}
.bg-lightgray {
  background-color: $bg-lightgray;
}

.text-white {
  color: $white;
}
.text-black {
  color: $black;
}
.text-gray {
  color: $gray;
}
.text-deepgray {
  color: $deepgray;
}
.text-primary {
  color: $primary-color;
}
.text-second {
  color: $second-color;
}
.text-red {
  color: $red;
}

.bg-gradient {
  background: rgba(17, 17, 17, 0);
  background: -moz-linear-gradient(
    bottom,
    rgba(17, 17, 17, 0) 0%,
    rgba(17, 17, 17, 0.1) 10%,
    rgba(17, 17, 17, 0.95) 100%
  );
  background: -webkit-gradient(
    left bottom,
    left top,
    color-stop(0%, rgba(17, 17, 17, 0)),
    color-stop(10%, rgba(17, 17, 17, 0.1)),
    color-stop(100%, rgba(17, 17, 17, 0.95))
  );
  background: -webkit-linear-gradient(
    bottom,
    rgba(17, 17, 17, 0) 0%,
    rgba(17, 17, 17, 0.1) 10%,
    rgba(17, 17, 17, 0.95) 100%
  );
  background: -o-linear-gradient(
    bottom,
    rgba(17, 17, 17, 0) 0%,
    rgba(17, 17, 17, 0.1) 10%,
    rgba(17, 17, 17, 0.95) 100%
  );
  background: -ms-linear-gradient(
    bottom,
    rgba(17, 17, 17, 0) 0%,
    rgba(17, 17, 17, 0.1) 10%,
    rgba(17, 17, 17, 0.95) 100%
  );
  background: linear-gradient(
    to top,
    rgba(17, 17, 17, 0) 0%,
    rgba(17, 17, 17, 0.1) 10%,
    rgba(17, 17, 17, 0.95) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#171717', endColorstr='#171717', GradientType=0);
}
/*#endregion*/

/*#region core*/
@import "../../variables/core";
@import "../../variables/typography";
@import "../../variables/grid";
@import "../../variables/spacing";
/*#endregion*/

/*#region addon*/
@import "../../component/addon";
/*#endregion*/

/*#region customize*/
/*#region modal*/
@import "../../component/modal";
/*#endregion*/

/*#region pagination*/
.pagination-container {
  .pagination {
    margin: 0;
    > .active > a,
    > .active > span,
    > .active > a:hover,
    > .active > span:hover,
    > .active > a:focus,
    > .active > span:focus {
      background-color: $primary-color;
      border-color: $primary-color;
      color: $white;
    }
    > li > a,
    > li > span {
      color: $primary-color;
      border-color: $border-gray;
    }
    > li > a:hover,
    > li > span:hover,
    > li > a:focus,
    > li > span:focus {
      color: $white;
      background-color: $primary-color;
      border-color: $primary-color;
    }
  }
}
/*#endregion*/

/*#region #breadcrumb*/
@import "../../component/breadcrumb";
/*#endregion*/

/*#region owl theme*/
.owl-carousel .animated,
.owl-carousel.animated {
  -webkit-animation-duration: 2s;
  animation-duration: 2s;
  -webkit-animation-delay: 250ms;
  animation-delay: 250ms;
}
.owl-carousel .animate-out,
.owl-carousel .animate-in {
  -webkit-animation-delay: 0ms;
  animation-delay: 0ms;
}
.owl-theme {
  .owl-nav {
    margin-top: 0;
    [class*="owl-"] {
      @include animation();
      position: absolute;
      top: 0;
      background: $primary-color;
      border: 1px solid $primary-color;
      padding: 0;
      width: 35px;
      height: 35px;
      text-align: center;
      border-radius: 0;
      margin: 0;
      color: $white;
      i {
        font-size: 20px;
        line-height: 32px;
      }
      &.disabled {
        cursor: no-drop;
      }
      &:hover {
        background: $bg-black;
        border-color: $bg-black;
      }
    }
    &.disabled + .owl-dots {
      margin-top: 0;
    }
  }
  .owl-dots {
    margin-top: 0;
    .owl-dot {
      span {
        @include animation();
        margin: 0 5px;
        border-radius: 0;
        height: 5px;
        width: 10px;
      }
      &:first-child span {
        margin-left: 0;
      }
      &:last-child span {
        margin-right: 0;
      }
      &.active,
      &:hover {
        span {
          background: $primary-color;
          width: 25px;
        }
      }
    }
  }
}
/* owl my theme */
// @-webkit-keyframes dot-indicator-next {
//   0%, 100% {
//     -webkit-transform: scaleX(0);
//             transform: scaleX(0);
//   }
//   0%, 60% {
//     -webkit-transform-origin: left;
//             transform-origin: left;
//   }
//   60% {
//     -webkit-transform: scaleX(1);
//             transform: scaleX(1);
//   }
//   60.1%, 100% {
//     -webkit-transform-origin: right;
//             transform-origin: right;
//   }
// }
// @keyframes dot-indicator-next {
//   0%, 100% {
//     -webkit-transform: scaleX(0);
//             transform: scaleX(0);
//   }
//   0%, 60% {
//     -webkit-transform-origin: left;
//             transform-origin: left;
//   }
//   60% {
//     -webkit-transform: scaleX(1);
//             transform: scaleX(1);
//   }
//   60.1%, 100% {
//     -webkit-transform-origin: right;
//             transform-origin: right;
//   }
// }
// @-webkit-keyframes dot-indicator-prev {
//   0%, 100% {
//     -webkit-transform: scaleX(0);
//             transform: scaleX(0);
//   }
//   0%, 60% {
//     -webkit-transform-origin: right;
//             transform-origin: right;
//   }
//   60% {
//     -webkit-transform: scaleX(1);
//             transform: scaleX(1);
//   }
//   60.1%, 100% {
//     -webkit-transform-origin: left;
//             transform-origin: left;
//   }
// }
// @keyframes dot-indicator-prev {
//   0%, 100% {
//     -webkit-transform: scaleX(0);
//             transform: scaleX(0);
//   }
//   0%, 60% {
//     -webkit-transform-origin: right;
//             transform-origin: right;
//   }
//   60% {
//     -webkit-transform: scaleX(1);
//             transform: scaleX(1);
//   }
//   60.1%, 100% {
//     -webkit-transform-origin: left;
//             transform-origin: left;
//   }
// }
// .owl-mytheme {
//   .owl-dots {
//     text-align: center;
//     line-height: 0;
//     position: absolute;
//     bottom: 10px;
//     left: 0;
//     right: 0;
//     .owl-dot {
//       display: inline-block;
//       width: 15px;
//       height: 15px;
//       position: relative;
//       + .owl-dot {
//         margin-left: 12px;
//       }
//       &:after {
//         content: "";
//         display: block;
//         width: 100%;
//         height: 100%;
//         border-radius: 50%;
//         background: $white;
//         -webkit-transform: scale(0.5);
//         -ms-transform: scale(0.5);
//         transform: scale(0.5);
//         -webkit-transition: -webkit-transform 0.3s ease;
//         transition: -webkit-transform 0.3s ease;
//         -o-transition: transform 0.3s ease;
//         transition: transform 0.3s ease;
//         transition: transform 0.3s ease, -webkit-transform 0.3s ease;
//       }
//       &.active {
//         &:after {
//           -webkit-transition-delay: 0.2s;
//           -o-transition-delay: 0.2s;
//           transition-delay: 0.2s;
//           -webkit-transform: scale(1);
//           -ms-transform: scale(1);
//           transform: scale(1);
//         }
//       }
//     }
//   }
//   .dot-indicator {
//     width: 24px;
//     height: 2px;
//     background: $white;
//     position: absolute;
//     top: calc(50% - 1px);
//     -webkit-transform: scaleX(0);
//     -ms-transform: scaleX(0);
//     transform: scaleX(0);
//     -webkit-animation-duration: 0.2s;
//     animation-duration: 0.2s;
//     -webkit-animation-timing-function: linear;
//     animation-timing-function: linear;
//     -webkit-animation-fill-mode: forwards;
//     animation-fill-mode: forwards;
//     &.next {
//       left: 50%;
//       -webkit-animation-name: dot-indicator-next;
//       animation-name: dot-indicator-next;
//     }
//     &.prev {
//       right: 50%;
//       -webkit-animation-name: dot-indicator-prev;
//       animation-name: dot-indicator-prev;
//     }
//   }
// }
/* owl my theme */

/* owl flex */
.owl-flex {
  .owl-stage {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: -moz-flex;
    display: -o-flex;
    display: flex;
    .owl-item {
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: -moz-flex;
      display: -o-flex;
      display: flex;
      -moz-flex: 1 0 auto;
      -o-flex: 1 0 auto;
      -webkit-box-flex: 1;
      -webkit-flex: 1 0 auto;
      -ms-flex: 1 0 auto;
      flex: 1 0 auto;
      > div {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: -moz-flex;
        display: -o-flex;
        display: flex;
        -webkit-flex-direction: -webkit-column;
        flex-direction: -webkit-column;
        flex-direction: -moz-column;
        -ms-flex-direction: -ms-column;
        flex-direction: -ms-column;
        flex-direction: -o-column;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
        width: 100%;
        .text-container {
          display: -webkit-box;
          display: -webkit-flex;
          display: -ms-flexbox;
          display: -moz-flex;
          display: -o-flex;
          display: flex;
          -moz-flex: 1 0 auto;
          -o-flex: 1 0 auto;
          -webkit-box-flex: 1;
          -webkit-flex: 1 0 auto;
          -ms-flex: 1 0 auto;
          flex: 1 0 auto;
          -webkit-flex-direction: -webkit-column;
          flex-direction: -webkit-column;
          flex-direction: -moz-column;
          -ms-flex-direction: -ms-column;
          flex-direction: -ms-column;
          flex-direction: -o-column;
          -webkit-box-orient: vertical;
          -webkit-box-direction: normal;
          -webkit-flex-direction: column;
          -ms-flex-direction: column;
          flex-direction: column;
          .des,
          h3 {
            -moz-flex-grow: 1;
            -o-flex-grow: 1;
            -webkit-box-flex: 1;
            -webkit-flex-grow: 1;
            -ms-flex-positive: 1;
            flex-grow: 1;
          }
        }
      }
    }
  }
}
/* owl flex */
/*#endregion*/

/*#region slick theme*/
// .slick-carousel {
//   z-index: 9;
//   .animated {
//     -webkit-transition: all .5s ease;
//     -o-transition: all .5s ease;
//     transition: all .5s ease;
//   }
//   [data-animation-in] {
//     opacity: 0;
//     -webkit-animation-duration: 1.5s;
//     animation-duration: 1.5s;
//     -webkit-transition: opacity 0.5s ease 0.3s;
//     -o-transition: opacity 0.5s ease 0.3s;
//     transition: opacity 0.5s ease 0.3s;
//   }
//   .slick-arrow {
//     @include animation();
//     cursor: pointer;
//     cursor: hand;
//     -webkit-user-select: none;
//     -khtml-user-select: none;
//     -moz-user-select: none;
//     -ms-user-select: none;
//     user-select: none;
//     display: inline-block;
//     position: absolute;
//     top: 0;
//     padding: 0;
//     margin: 0;
//     background: $primary-color;
//     width: 40px;
//     height: 40px;
//     text-align: center;
//     border-radius: 0;
//     color: $white;
//     z-index: 10;
//     i {
//       font-size: 20px;
//       line-height: 40px;
//       color: $white;
//     }
//     &.slick-disabled {
//       cursor: no-drop;
//       opacity: 0.5;
//     }
//     &:hover {
//       background: $bg-black;
//     }
//   }
//   .slickbtn-next {
//     right: 0
//   }
//   .slickbtn-prev {
//     left: 0
//   }
//   .slick-dots {
//     @include flex-center();
//     -webkit-tap-highlight-color: transparent;
//     z-index: 10;
//     position: static;
//     margin-top: 10px;
//     li {
//       width: auto;
//       height: auto;
//       margin: 0 5px;
//       zoom: 1;
//       text-align: center;
//       cursor: pointer;
//       cursor: hand;
//       -webkit-user-select: none;
//       -khtml-user-select: none;
//       -moz-user-select: none;
//       -ms-user-select: none;
//       user-select: none;
//       position: static;
//       list-style:none;
//       display: block;
//       button {
//         @include border($color: $primary-color);
//         @include animation();
//         width: 15px;
//         height: 15px;
//         border-radius: 50%;
//         padding: 0;
//         display: block;
//         background-color: $white;
//         position: static;
//         &:before {
//           display: none;
//         }
//       }
//       &.slick-active {
//         button {
//           background-color: $primary-color;
//         }
//       }
//       &:hover {
//         button {
//           background-color: $primary-color;
//         }
//       }
//     }
//   }
// }
// .slick-carousel[data-margin="10"] {
//   .slickbtn-next {
//     right: 10px
//   }
//   .slickbtn-prev {
//     left: 10px
//   }
// }
// .slick-progress {
//   width: 100%;
//   height: 2px;
//   background: $white;
//   .progress {
//     width: 0%;
//     height: 2px;
//     background: $primary-color;
//   }
// }
/*#endregion*/
/*#endregion*/

/*------------------------------------*\
  STYLE CONTENT
\*------------------------------------*/

/*#region header*/
@import "../../component/header";
/*#endregion*/

/*#region footer*/
@import "../../component/footer";
/*#endregion*/

/*#region navigation*/
/* nav pc */
/* nav pc */

/* nav mobile */
@import "../../component/nav-moblie";
/* nav mobile */

/* nav left */
// @import '../../component/nav-left';
/* nav left */

/* nav fix */
// .nav-fix {
//   @include box-shadow2();
//   -webkit-transition-duration: .5s;
//   transition-duration: .5s;
//   -webkit-transition-timing-function: cubic-bezier( 0.215, 0.610, 0.355, 1.000 );
//   transition-timing-function: cubic-bezier( 0.215, 0.610, 0.355, 1.000 );
//   -webkit-transition-property: -webkit-transform;
//   transition-property: transform;
//   position: fixed;
//   top: 0;
//   width: 100%;
//   z-index: 999;
//   background: $white;
// }
// .nav-fix-hidden {
//   -webkit-transform: translateY( -100% );
//   -ms-transform: translateY( -100% );
//   transform: translateY( -100% );
// }
@-webkit-keyframes fadeInDown {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }
  100% {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}
@keyframes fadeInDown {
  0% {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }
  100% {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}
.fadeInDown {
  -webkit-animation-name: fadeInDown;
  animation-name: fadeInDown;
}
.nav-fix {
  @include box-shadow2();
  background: rgba(255, 255, 255, 1);
  width: 100%;
  max-width: 100%;
  top: 0;
  left: 0;
  right: 0;
  z-index: 99;
  margin: 0 auto;
  position: fixed;
  -webkit-animation-name: fadeInDown;
  animation-name: fadeInDown;
  -webkit-animation-duration: 5s;
  animation-duration: 5s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-direction: normal;
  animation-direction: normal;
  -webkit-animation-play-state: running;
  animation-play-state: running;
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
  -webkit-animation-delay: 1s;
  -moz-animation-delay: 1s;
  animation-delay: 1s;
  -webkit-animation-iteration-count: 1;
  -moz-animation-iteration-count: 1;
  animation-iteration-count: 1;
  -webkit-animation-duration: 0.7s;
  -moz-animation-duration: 0.7s;
  animation-duration: 0.7s;
  -webkit-animation-delay: 0s;
  -moz-animation-delay: 0s;
  animation-delay: 0s;
  -webkit-animation-timing-function: ease-out;
  -moz-animation-timing-function: ease-out;
  animation-timing-function: ease-out;
  -webkit-transform: translateY(0);
  -o-transform: translateY(0);
  -ms-transform: translateY(0);
  transform: translateY(0);

  // -webkit-transition-duration: .5s;
  // transition-duration: .5s;
  // -webkit-transition-timing-function: cubic-bezier( 0.215, 0.610, 0.355, 1.000 );
  // transition-timing-function: cubic-bezier( 0.215, 0.610, 0.355, 1.000 );
  // -webkit-transition-property: -webkit-transform;
  // transition-property: transform;
}
.nav-fix-hidden {
  -webkit-transform: translateY(-100%);
  -ms-transform: translateY(-100%);
  transform: translateY(-100%);
}
/* nav fix */
/*#endregion*/

/*#region general*/
.share-container {
  @include flex-center();
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  .fb-like {
    margin-left: 10px;
  }
  .google-plus {
    @include border($color: #ddd);
    margin-left: 10px;
    height: 20px;
    overflow: hidden;
  }
}
/*#endregion*/

/*#region option*/
.btn-hover-primary {
  position: relative;
  overflow: hidden;
  background-color: $primary-color;
  font-weight: $font-weight-bold;
  border: none;
  color: $white;
  z-index: 1;
  &:after,
  &:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 60%;
    border-radius: 0;
    z-index: -1;
    height: 100%;
    background: $white;
    will-change: transform;
    -webkit-transform: skew(-45deg) scaleX(0);
    -ms-transform: skew(-45deg) scaleX(0);
    transform: skew(-45deg) scaleX(0);
    -webkit-transition: -webkit-transform 0.3s ease-in-out;
    transition: -webkit-transform 0.3s ease-in-out;
    -o-transition: transform 0.3s ease-in-out;
    transition: transform 0.3s ease-in-out;
    transition: transform 0.3s ease-in-out, -webkit-transform 0.3s ease-in-out;
  }
  &:before {
    right: 75%;
    margin-right: -1px;
    -webkit-transform-origin: 0% 0%;
    -ms-transform-origin: 0% 0%;
    transform-origin: 0% 0%;
  }
  &:after {
    width: 70%;
    left: 75%;
    margin-left: -1px;
    -webkit-transform-origin: 100% 0%;
    -ms-transform-origin: 100% 0%;
    transform-origin: 100% 0%;
  }
  &:hover {
    color: $primary-color;
    &:before,
    &:after {
      -webkit-transform: skew(-45deg) scaleX(1.5);
      -ms-transform: skew(-45deg) scaleX(1.5);
      transform: skew(-45deg) scaleX(1.5);
    }
  }
}
.title-with-img-left {
  font-weight: $font-weight-semibold;
}
.title-with-line-right {
  span {
    background: $white;
  }
  &:after {
    background: $primary-color;
  }
}
.icon-footer {
  a {
    i {
      display: inline-block;
      width: 35px;
      height: 35px;
      line-height: 35px;
      margin-right: 7px;
      text-align: center;
      border: 1px $black solid;
    }
  }
  &:hover {
    color: $primary-color-hover;
  }
}
/*#endregion*/
/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/
}
/*#endregion*/
